Skip to main content
Companies

Delete a company

Deletes a company by its Featurebase ID.

DELETE
/v2/companies/{id}

This will also remove the company from all linked users' associations.

Path Parameters

  • id - The Featurebase internal ID of the company (MongoDB ObjectId)

Response

Returns a deletion confirmation object:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "company",
  "deleted": true
}

Error Responses

  • 404 Not Found - Company with the specified ID does not exist

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringrequired

The Featurebase internal ID of the company (MongoDB ObjectId)

Example: 507f1f77bcf86cd799439011
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

deletedenum<boolean>required

Indicates the resource was deleted

Available options: true
Example: true
idstringrequired

Unique identifier of the deleted company

Example: 507f1f77bcf86cd799439011
objectenum<string>required

Object type identifier

Available options: company
Example: company